> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agicto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询文生视频进度

> GET /v1/videos/status/kling/text2video/{id}

官方文档：[https://app.klingai.com/cn/dev/document-api/apiReference/model/textToVideo](https://app.klingai.com/cn/dev/document-api/apiReference/model/textToVideo)

## Endpoint

```http theme={null}
GET /v1/videos/status/kling/text2video/{id}
```

**分组**: 官方视频格式 / 可灵

## Headers

* `Authorization`: 可选 示例: `Bearer `

## Responses

* `200`: 成功

## OpenAPI specification

```yaml theme={null}
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/videos/status/kling/text2video/{id}:
    get:
      summary: 查询文生视频进度
      deprecated: false
      description: >-
        官方文档：https://app.klingai.com/cn/dev/document-api/apiReference/model/textToVideo
      tags:
        - 官方视频格式/可灵
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: ''
          required: false
          example: 'Bearer '
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
                x-apifox-orders: []
          headers: {}
          x-apifox-name: 成功
      security: []
      x-apifox-folder: 官方视频格式/可灵
      x-apifox-status: released
      x-run-in-apifox: https://app.apifox.com/web/project/5443699/apis/api-390050930-run
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []
```
